#ifndef _bits_ctype_local_h_
#define _bits_ctype_local_h_

/*------------------------------------------------------------------------------------------*\
uClibc-0.9.28/include/ctype.h:43:  _ISupper = _ISbit (0),        UPPERCASE.  
uClibc-0.9.28/include/ctype.h:44:  _ISlower = _ISbit (1),        lowercase.  
uClibc-0.9.28/include/ctype.h:45:  _ISalpha = _ISbit (2),        Alphabetic. /
uClibc-0.9.28/include/ctype.h:46:  _ISdigit = _ISbit (3),        Numeric.  
uClibc-0.9.28/include/ctype.h:47:  _ISxdigit = _ISbit (4),       Hexadecimal numeric.
uClibc-0.9.28/include/ctype.h:48:  _ISspace = _ISbit (5),        Whitespace. 
uClibc-0.9.28/include/ctype.h:49:  _ISprint = _ISbit (6),        Printing. 
uClibc-0.9.28/include/ctype.h:50:  _ISgraph = _ISbit (7),        Graphical.
uClibc-0.9.28/include/ctype.h:51:  _ISblank = _ISbit (8),        Blank (usually SPC and TAB).
uClibc-0.9.28/include/ctype.h:52:  _IScntrl = _ISbit (9),        Control character. 
uClibc-0.9.28/include/ctype.h:53:  _ISpunct = _ISbit (10),       Punctuation. 
uClibc-0.9.28/include/ctype.h:54:  _ISalnum = _ISbit (11)        Alphanumeric.
\*------------------------------------------------------------------------------------------*/

#define _U	    (1 << 0)	    /* upper */
#define _L	    (1 << 1)       /* lower */
/*--- #define _D	    (1 << 3) ---*/	    /* digit */
#define _N      (1 << 3)        /* numeric */
#define _X	    (1 << 4)	    /* hex digit */
#define _S	    (1 << 5)	    /* white space (space/lf/tab) */
#define _B      (1 << 8)        /* Blank */
/*--- #define _SP	    (1 << 8) ---*/	    /* hard space (0x20) */
#define _C	    (1 << 9)	    /* cntrl */
#define _P	    (1 << 10)	    /* punct */


#endif /*--- #ifndef _bits_ctype_local_h_ ---*/
